V1 and V2Products (V1)

Unlink a variant

DELETE
/api/v1/products/{parent_product_id}/variant/{variant_id}

Removes relationship between a variant and its parent. Variant becomes a Single product.

⚠️ This action might cause data loss

Authorization

bearerAuth
AuthorizationBearer <token>

Obtain a token via POST /auth/api/get-token (15 minute lifetime), then send it as Authorization: Bearer <token>.

In: header

Path Parameters

parent_product_id*string
variant_id*string

Response Body

curl -X DELETE 'https://example.com/api/v1/products/string/variant/string'
Empty